/*
    Hero's Of Roswell
    Copyright (C) 2003 Patrick Avella

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
void titlescreen(SDL_Surface *app) {
    bool running= true;
    
    SDL_Surface *titlescreen= SDL_LoadBMP("bmp/titlescreen.bmp");
    SDL_Surface *buf, *cursor;
    
    buf= SDL_LoadBMP("bmp/cursor.bmp");
    cursor= SDL_DisplayFormat(buf);
    SDL_SetColorKey(cursor, SDL_SRCCOLORKEY, SDL_MapRGB(
        cursor->format, 0, 0, 0) );
    SDL_FreeSurface(buf);

    SDL_Surface *easy= SDL_LoadBMP("bmp/easy.bmp");
    SDL_Surface *medium= SDL_LoadBMP("bmp/normal.bmp");
    SDL_Surface *hard= SDL_LoadBMP("bmp/hard.bmp");

    SDL_Rect difpos;
    difpos.x=685; difpos.y=444; difpos.h=47; difpos.w=88;
    difficulty= MEDIUM;
    
    SDL_Rect curpos;
    curpos.x= 525-64; curpos.w= 64;
    curpos.y= 325; curpos.h= 64;
    int curdest= 302;

    Mix_PlayMusic(audio.titlemusic, -1);
    
    while (running) {
         SDL_Event event;        
         while (SDL_PollEvent(&event)) {
            if (event.type == SDL_QUIT) { exit(0); }
            if (event.type == SDL_KEYDOWN) {
                if (event.key.keysym.sym == SDLK_UP) {
                    if(curdest==367) { 
                       curdest=302;
                       Mix_PlayChannel(-1, audio.beep, 0);
                       }
                    if(curdest==435) { 
                       curdest=367;
                       Mix_PlayChannel(-1, audio.beep, 0);
                       }
                    if(curdest==498) { 
                       curdest=435;
                       Mix_PlayChannel(-1, audio.beep, 0);
                       }

                    }
                if (event.key.keysym.sym == SDLK_DOWN) {
                    if(curdest==435) { 
                       curdest=498;
                       Mix_PlayChannel(-1, audio.beep, 0);
                       }
                    if(curdest==367) { 
                       curdest=435;
                       Mix_PlayChannel(-1, audio.beep, 0);
                       }
                    if(curdest==302) { 
                       curdest=367;
                       Mix_PlayChannel(-1, audio.beep, 0);
                       }
                       
                    }
                if (event.key.keysym.sym == SDLK_LCTRL) {
                    if(curdest==302) running=false;
                    if(curdest==367) {running=false;continuelevel=true;}
                    if(curdest==498) exit(0);
                    if(curdest==435) {
                           if(difficulty<4) { difficulty++; }
                           if(difficulty>3) { difficulty=1; }
                           Mix_PlayChannel(-1, audio.beep, 0);
                           }
                    }

                }
            }       
         if (curpos.y < curdest || curpos.y > curdest) { curpos.y=curdest; }

         SDL_BlitSurface(titlescreen,NULL,app,NULL);
         SDL_BlitSurface(cursor, NULL, app, &curpos);

         if(difficulty==MEDIUM) { SDL_BlitSurface(medium, NULL, app, &difpos); }
         if(difficulty==EASY) { SDL_BlitSurface(easy, NULL, app, &difpos); }
         if(difficulty==HARD) { SDL_BlitSurface(hard, NULL, app, &difpos); }

         SDL_Flip(app);
         }

       SDL_FreeSurface(cursor);
       SDL_FreeSurface(titlescreen);
       return;
       }  

                                                               
